TOWUPPER(3)

NAME
towupper - convert a wide character to uppercase

SYNOPSIS
#include <wctype.h>

wint_t towupper (wint_t wc);

DESCRIPTION
The towupper function is the wide-character equivalent of the toupper function. If wc is a wide character, it is converted to uppercase. Characters which do not have case are returned unchanged. If wc is WEOF, WEOF is returned.

RETURN VALUE
The towupper function returns the uppercase equivalent of wc, or WEOF if wc is WEOF.

CONFORMING TO
ISO/ANSI C, UNIX98

SEE ALSO
towlower(3), towctrans(3), iswupper(3)

NOTES
The behaviour of towupper depends on the LC_CTYPE category of the current locale.

This function is not very appropriate for dealing with Unicode characters, because Unicode knows about three cases: upper, lower and title case.